Bug 553 - Ark does not packages in archives RAR
: Ark does not packages in archives RAR
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: x86_64 Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-21 00:53 MSD by Postnikov Dmitry
Modified: 2015-06-01 14:31 MSD (History)
4 users (show)

See Also:
RPM Package: ark-4.8.3-1-rosa.lts2012.0.x86_64
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
ddark4 (137.81 KB, image/png)
2012-07-21 00:53 MSD, Postnikov Dmitry
Details
01.jpg (109.03 KB, image/jpeg)
2015-05-26 10:37 MSD, FirstLevel
Details
02.jpg (94.12 KB, image/jpeg)
2015-05-26 10:37 MSD, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Postnikov Dmitry 2012-07-21 00:53:07 MSD
Created attachment 412 [details]
ddark4

Description of problem:
ROSA 2012 RP1 iso 369th
Ark does not packages in archives RAR, Although the package Unrar is installed.
See att.
------
[root@mindlife dima]# rpm -qa unrar
unrar-4.00-1-rosa.lts2012.0.x86_64
[root@mindlife dima]#
------

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 Denis Silakov 2012-07-21 13:11:43 MSD
unrar can extract data from archives, but it can't create archives.

We don't provide the rar itself, so I think it makes sense to remove that item from context menu.
Comment 2 Postnikov Dmitry 2014-03-20 13:00:51 MSK
Case is actual for latest updates
Comment 3 Stanislav Fomin 2015-03-06 19:34:02 MSK
Need restesting before releasing Enterprise X2.
Comment 4 FirstLevel 2015-04-14 23:27:20 MSD
Case is actual for RED X2
Comment 5 Andrey Bondrov 2015-05-25 17:18:07 MSD
Advisory: "Remove Compress to RAR from Dolphin service menus as we don't provide rar"

https://abf.rosalinux.ru/build_lists/2504261
https://abf.rosalinux.ru/build_lists/2504262
Comment 6 FirstLevel 2015-05-26 10:37:37 MSD
Created attachment 4004 [details]
01.jpg
Comment 7 FirstLevel 2015-05-26 10:37:53 MSD
Created attachment 4005 [details]
02.jpg
Comment 8 FirstLevel 2015-05-26 10:39:19 MSD
(In reply to comment #5)
> Advisory: "Remove Compress to RAR from Dolphin service menus as we don't
> provide rar"
> 
> https://abf.rosalinux.ru/build_lists/2504261
> https://abf.rosalinux.ru/build_lists/2504262

Update goes well for 32 and 64 bit.
After update I have:
- no rar items in context menu 01.jpg
- I could choose RAR in extensions 02.jpg

Is it important?
Comment 9 Andrey Bondrov 2015-05-26 11:27:19 MSD
(In reply to comment #8)
> Update goes well for 32 and 64 bit.
> After update I have:
> - no rar items in context menu 01.jpg
> - I could choose RAR in extensions 02.jpg
> 
> Is it important?

I guess we should leave it there in case someone wants to buy rar and use it with Ark. We only need to hide "Compress to RAR" from Dolphin.
Comment 10 Vladimir Potapov 2015-06-01 14:14:53 MSD
ark-4.14.3-3
https://abf.rosalinux.ru/build_lists/2504261
https://abf.rosalinux.ru/build_lists/2504262
*********************************** Advisory *****************************
Remove Compress to RAR from Dolphin service menus as we don't provide rar
**************************************************************************
QA Verified